在这里,我使用了这个决定:
- (defun c:Test ()
- (setq i 1 ) ;_ end of setq
- (while
- (progn
- (setq nms (itoa i)) ;_ end of setq
- (command "text" "m"'(0 0 0) 0.2 0 nms) ;_ end of c
- (setq lo (entget (entlast))) ;_ end of setq
- (princ (strcat "\n Choose place for TEXT : " nms " ; Any = Stop ; < Pick> : ")) ;_ end of p
- (vl-catch-all-apply '(lambda nil (command "_move" (entlast) "" '(0 0 0) pause))) ;_ end of vl
- [color=red](if (equal lo (entget (entlast))) nil T) ;_ end of if[/color]
- ) ;_ end of prog cond
- (setq i (1+ i) ) ;_ end of setq
- ) ;_ end of wh p
- (entdel (entlast))
- ) ; end
试试这个应用程序对于插入迭代文本很有用。 |